ColorManager
Date: 2019-10-22

org.jmol.viewer

## Class ColorManager

- java.lang.Object
- - org.jmol.viewer.ColorManager

-     public class ColorManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `altArgbsCpk`
    `private int[]` | `argbsCpk`
    `ColorEncoder` | `ce`
    `short` | `colixBackgroundContrast`
    `short` | `colixRubberband`
    `private float[]` | `colorData`
    `private GData` | `g3d`
    `(package private) boolean` | `isDefaultColorRasmol`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorManager(Viewer vwr, GData gdata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private int[]` | `getArgbs(int tok)`
    `short` | `getColixAtomPalette(Atom atom, byte pid)`
    `short` | `getColixBondPalette(Bond bond, int pid)`
    `ColorEncoder` | `getColorEncoder(java.lang.String colorScheme)`
    `java.lang.String` | `getColorSchemeList(java.lang.String colorScheme)`
    `private int` | `getJmolOrRasmolArgb(int id, int argb)`
    `(package private) float[]` | `getPropertyColorRange()`
    `(package private) void` | `setColixBackgroundContrast(int argb)`
    `(package private) void` | `setDefaultColors(boolean isRasmol)`
    `short` | `setElementArgb(int id, int argb)`
    `void` | `setPropertyColorRange(float min, float max)`
    `void` | `setPropertyColorRangeData(float[] data, javajs.util.BS bs)`
    `(package private) void` | `setPropertyColorScheme(java.lang.String colorScheme, boolean isTranslucent, boolean isOverloaded)`
    `void` | `setRubberbandArgb(int argb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ce

          public ColorEncoder ce

    - #### vwr

          private Viewer vwr

    - #### g3d

          private GData g3d

    - #### argbsCpk

          private int[] argbsCpk

    - #### altArgbsCpk

          private int[] altArgbsCpk

    - #### colorData

          private float[] colorData

    - #### isDefaultColorRasmol

          boolean isDefaultColorRasmol

    - #### colixRubberband

          public short colixRubberband

    - #### colixBackgroundContrast

          public short colixBackgroundContrast

  - ### Constructor Detail

    - #### ColorManager

          ColorManager(Viewer vwr,
                       GData gdata)

  - ### Method Detail

    - #### setDefaultColors

          void setDefaultColors(boolean isRasmol)

    - #### setRubberbandArgb

          public void setRubberbandArgb(int argb)

    - #### setColixBackgroundContrast

          void setColixBackgroundContrast(int argb)

    - #### getColixBondPalette

          public short getColixBondPalette(Bond bond,
                                           int pid)

    - #### getColixAtomPalette

          public short getColixAtomPalette(Atom atom,
                                           byte pid)

    - #### getArgbs

          private int[] getArgbs(int tok)

    - #### getJmolOrRasmolArgb

          private int getJmolOrRasmolArgb(int id,
                                          int argb)

    - #### setElementArgb

          public short setElementArgb(int id,
                                      int argb)

    - #### getPropertyColorRange

          float[] getPropertyColorRange()

    - #### setPropertyColorRangeData

          public void setPropertyColorRangeData(float[] data,
                                                javajs.util.BS bs)

    - #### setPropertyColorRange

          public void setPropertyColorRange(float min,
                                            float max)

    - #### setPropertyColorScheme

          void setPropertyColorScheme(java.lang.String colorScheme,
                                      boolean isTranslucent,
                                      boolean isOverloaded)

    - #### getColorSchemeList

          public java.lang.String getColorSchemeList(java.lang.String colorScheme)

    - #### getColorEncoder

          public ColorEncoder getColorEncoder(java.lang.String colorScheme)